/* =================================================
   MENU.CSS
   Navegación principal + divisores
   ================================================= */


/* ================= NAV ================= */

.menu {
  display: flex;
  align-items: center;
}


/* ================= LISTA ================= */

.menu__list {
  display: flex;
  align-items: center;
  list-style: none;
}


/* ================= ITEMS ================= */

.menu__list li {
  position: relative;
  display: flex;
  align-items: center;
  padding: 0 26px;
}


/* ===== divisor corto (como tu mockup) ===== */

.menu__list li:not(:last-child)::after {
  content: "";

  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);

  width: 2px;
  height: 14px;

  background: rgba(255,255,255,0.55);

  border-radius: 2px;
}




/* ================= LINKS ================= */

.menu__list a {
  font-family: 'Questrial', sans-serif;

  font-size: 18px;
  font-weight: 500;

  letter-spacing: 0.8px;

  text-transform: capitalize;

  color: white;

  position: relative;

  transition: .25s ease;
}


/* hover */

.menu__list a:hover {
  color: var(--primary);
}


/* activo */

.menu__list a.active::before {
  content: "";

  position: absolute;
  left: -14px;
  top: 50%;

  transform: translateY(-50%);

  width: 3px;
  height: 18px;

  background: var(--primary);
  border-radius: 2px;
}

.hamburger.active span:nth-child(1){
  transform: rotate(45deg) translateY(8px);
}
.hamburger.active span:nth-child(2){
  opacity:0;
}
.hamburger.active span:nth-child(3){
  transform: rotate(-45deg) translateY(-8px);
}




/* =================================================
   MOBILE
   ================================================= */

@media (max-width: 900px) {

  .menu {
    position: fixed;
    top: 85px;
    right: -100%;

    width: 260px;
    height: 100vh;

    background: #1E1E20;

    padding: 40px 25px;

    transition: .35s ease;
  }

  .menu.open {
    right: 0;
  }

  .menu__list {
    flex-direction: column;
    align-items: flex-start;
    gap: 28px;
  }

  .menu__list li {
    padding: 0;
  }

  /* ❌ sin divisores en mobile */
  .menu__list li::after {
    display: none;
  }

  .menu__list a {
    font-size: 18px;
  }
}
